Subject: bug#20132: bug#20104: [PATCH] gzip: make the GZIP env var obsolescent

From: Pavel Raiskup <[email-masked]>
Date: Tue, 28 Jun 2016 14:42:25 +0200

On Wednesday, March 18, 2015 2:40:29 PM CEST Jim Meyering wrote:
> On Tue, Mar 17, 2015 at 10:38 PM, Paul Eggert <[email-masked]> wrote:
> > I did propose an Automake patch, here:
> >
> > http://bugs.gnu.org/20132
> 
> Glanced through, but didn't have time for a thorough review.

I don't see issue in that patch; as I believe there is only one 'gzip' (GNU)
and thus passing options via $GZIP was always equivalent to using options
(i.e. no other implementations which could ignore incompatible options in
$GZIP), sounds OK, thanks!

Because this issue (a) breaks Automake's package build (testsuite) in Fedora
where is a new gzip, and it (b) is probably not necessary to bother fedora's
maintainers with GZIP warning anyway, FWIW, I'm going to backport.

Pavel